<?php
namespace Teknisa\CDP\Modules\Producao\Services;

use Doctrine\ORM\EntityManager;
use Geral\Util\DateUtil;
use Teknisa\Libs\Util\Environment;


class cdp01300OcorrenciaDaProducaoService{

	protected $entityManager;
	protected $environment;
	protected $newCode;
	protected $cdp01300OcorrenciaDaProducaoFactory;

	public function __construct(Environment $environment, EntityManager $entityManager, $cdp01300OcorrenciaDaProducaoFactory){
		$this->environment				= $environment;
		$this->entityManager           = $entityManager;
		$this->cdp01300OcorrenciaDaProducaoFactory = $cdp01300OcorrenciaDaProducaoFactory;
	}

	
    public function deleteGrupoOcorrencia($rows){
            
        try{
        	$connection = $this->entityManager->getConnection();
            $connection->beginTransaction();
            
        	$this->cdp01300OcorrenciaDaProducaoFactory->deleteTabelaOcorrencia($rows['NRORG'],$rows['CDGRPOCOR']);
        	
        	$this->cdp01300OcorrenciaDaProducaoFactory->deleteTabelaGrupoOcorrencia($rows['NRORG'],$rows['CDGRPOCOR']);
        	
        	$connection->commit();
        	
        }catch (\Exception $e) {
	        $this->entityManager->rollback();
	        throw $e;
	    }
        
        
    }


}