<?php
namespace Teknisa\CDP\Modules\Producao\Services;

use Doctrine\ORM\EntityManager;

use Teknisa\CDP\Modules\Producao\Factories\ger04800EquipamentoFactory;

class ger04800EquipamentoService {
    
    protected $entityManager;
    protected $ger04800EquipamentoFactory;
    
    public function __construct(EntityManager $entityManager, ger04800EquipamentoFactory $ger04800EquipamentoFactory){
        $this->entityManager = $entityManager;
        $this->ger04800EquipamentoFactory = $ger04800EquipamentoFactory;
    }
    
    public function getMaxCdEquip(){
        return $this->ger04800EquipamentoFactory->getMaxCdEquip();
    }
}